# Copyright 2013-2023 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack.package import *


class Netavark(MakefilePackage):
    """Netavark is a rust based network stack for containers. It is being designed to work with Podman but is also applicable for other OCI container management applications."""

    homepage = "https://github.com/containers/netavark"
    url = "https://github.com/containers/netavark/archive/refs/tags/v1.11.0.tar.gz"

    version("1.11.0", sha256="5b96e5a00a41a550d716f1e5c180df6e0ee5b0ce20961827ef17aff3d6a92f9c")

    depends_on("go", type="build")
    depends_on("go-md2man", type="build")
    depends_on("rust", type="build")
    depends_on("protobuf")

    # Does not build docs by default causing install to fail
    build_targets = ["all", "docs"]

    def setup_build_environment(self, env):
        env.set("PREFIX", self.prefix)
